org.jboss.classfilewriter.attributes

## Class Attribute

- java.lang.Object
- - org.jboss.classfilewriter.attributes.Attribute

All Implemented Interfaces:
  WritableEntry

Direct Known Subclasses:
  AnnotationsAttribute, CodeAttribute, ExceptionsAttribute, ParameterAnnotationsAttribute, SignatureAttribute, StackMapTableAttribute

    public abstract class Attribute
    extends Object
    implements WritableEntry

Represents an attribute in a class file

Author:
  Stuart Douglas

### Field Summary

Fields
`protected ConstPool` `constPool`

### Constructor Summary

Constructors
Constructor and Description
`Attribute(String name, ConstPool constPool)`

### Method Summary

Methods
`String` `getName()`
`void` `write(ByteArrayDataOutputStream stream)`
`abstract void` `writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### constPool

    protected final ConstPool constPool

### Constructor Detail

#### Attribute

    public Attribute(String name,
             ConstPool constPool)

### Method Detail

#### write

    public void write(ByteArrayDataOutputStream stream)
               throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`

#### writeData

    public abstract void writeData(ByteArrayDataOutputStream stream)
                            throws IOException

Throws:
  `IOException`

#### getName

    public String getName()